org.apache.poi.hemf.record.emf

## Class HemfFill.EmfStretchBlt

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfFill.WmfStretchDib
  - - org.apache.poi.hemf.record.emf.HemfFill.EmfStretchBlt

- All Implemented Interfaces:
    GenericRecord, HemfRecord, HwmfFill.HwmfImageRecord, HwmfRecord
  Direct Known Subclasses:
    HemfFill.EmfBitBlt
  Enclosing class:
    HemfFill

      public static class HemfFill.EmfStretchBlt
      extends HwmfFill.WmfStretchDib
      implements HemfRecord

  The EMR_STRETCHBLT record specifies a block transfer of pixels from a source bitmap to a destination rectangle, optionally in combination with a brush pattern, according to a specified raster operation, stretching or compressing the output to fit the dimensions of the destination, if necessary.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HwmfColorRef` | `bkColorSrc` A WMF ColorRef object that specifies the background color of the source bitmap.
    `protected java.awt.geom.Rectangle2D` | `bounds`
    `protected java.awt.geom.AffineTransform` | `xFormSrc` An XForm object that specifies a world-space to page-space transform to apply to the source bitmap.

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfFill.WmfStretchDib

      `bitmap, colorUsage, dstBounds, rasterOperation, srcBounds`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfStretchBlt()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(HemfGraphics ctx)` Draws the record, the default redirects to the parent WMF record drawing
    `HwmfColorRef` | `getBkColorSrc()`
    `java.awt.geom.Rectangle2D` | `getBounds()`
    `HemfRecordType` | `getEmfRecordType()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `java.lang.Enum` | `getGenericRecordType()`
    `java.awt.geom.AffineTransform` | `getXFormSrc()`
    `long` | `init(LittleEndianInputStream leis, long recordSize, long recordId)` Init record from stream
    `protected boolean` | `srcEqualsDstDimension()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfFill.WmfStretchDib

      `draw, getBitmap, getBMPData, getColorUsage, getDstBounds, getImage, getRasterOperation, getSrcBounds, getWmfRecordType, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfRecord

      `setHeader`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

    - ### Methods inherited from interface org.apache.poi.hwmf.record.HwmfFill.HwmfImageRecord

      `getImage`

- - ### Field Detail

    - #### bounds

          protected final java.awt.geom.Rectangle2D bounds

    - #### xFormSrc

          protected final java.awt.geom.AffineTransform xFormSrc

      An XForm object that specifies a world-space to page-space transform to apply to the source bitmap.

    - #### bkColorSrc

          protected final HwmfColorRef bkColorSrc

      A WMF ColorRef object that specifies the background color of the source bitmap.

  - ### Constructor Detail

    - #### EmfStretchBlt

          public EmfStretchBlt()

  - ### Method Detail

    - #### getEmfRecordType

          public HemfRecordType getEmfRecordType()

      Specified by:
        `getEmfRecordType` in interface `HemfRecord`

    - #### init

          public long init(LittleEndianInputStream leis,
                           long recordSize,
                           long recordId)
                    throws java.io.IOException

      Description copied from interface: `HemfRecord`
      Init record from stream
      Specified by:
        `init` in interface `HemfRecord`
      Parameters:
        `leis` - the little endian input stream
        `recordSize` - the size limit for this record
        `recordId` - the id of the `HemfRecordType`
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException` - when the inputstream is malformed

    - #### srcEqualsDstDimension

          protected boolean srcEqualsDstDimension()

    - #### draw

          public void draw(HemfGraphics ctx)

      Description copied from interface: `HemfRecord`
      Draws the record, the default redirects to the parent WMF record drawing
      Specified by:
        `draw` in interface `HemfRecord`
      Parameters:
        `ctx` - the drawing context

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `HwmfFill.WmfStretchDib`

    - #### getBounds

          public java.awt.geom.Rectangle2D getBounds()

    - #### getXFormSrc

          public java.awt.geom.AffineTransform getXFormSrc()

    - #### getBkColorSrc

          public HwmfColorRef getBkColorSrc()

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`
      Overrides:
        `getGenericProperties` in class `HwmfFill.WmfStretchDib`

    - #### getGenericRecordType

          public java.lang.Enum getGenericRecordType()

      Specified by:
        `getGenericRecordType` in interface `GenericRecord`
      Specified by:
        `getGenericRecordType` in interface `HemfRecord`
      Specified by:
        `getGenericRecordType` in interface `HwmfRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.